Bug 36657

Summary: freeamp needs fixed to build on -current
Product: Ports & Packages Reporter: Michael Harnois <mharnois>
Component: Individual Port(s)Assignee: freebsd-ports mailing list <ports>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Michael Harnois 2002-04-02 17:00:06 UTC
freeamp needs to be patched to reflect the replacement of malloc.h with
stdlib.h on -current.

How-To-Repeat: 	

make
Comment 1 Alan Eldridge 2002-04-02 17:03:42 UTC
On Tue, Apr 02, 2002 at 09:51:57AM -0600, Michael D.Harnois wrote:
>
>>Number:         36657
>>Category:       ports
>>Synopsis:       freeamp needs fixed to build on -current

Maintainer here:

Since we missed DP1, there's no time crunch. I'll deal with it this
coming weekend.

-- 
AlanE
"When the going gets weird, the weird turn pro." - HST
Comment 2 Alan Eldridge 2002-04-07 08:16:50 UTC
MAINTAINER UPDATE:

1. fix malloc.h problem.
2. fix not finding freetype includes.

Note: after this patch, freeamp absolutely requires a current version of
the freetype port in order to build. This is enforced by a "pre-extract"
target.

Apply this patch. Test build on current. Close PR if build OK.

==8<====8<====8<====8<====8<====8<====8<====8<====8<====8<==
Index: audio/freeamp/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/freeamp/Makefile,v
retrieving revision 1.18
diff -u -3 -r1.18 Makefile
--- audio/freeamp/Makefile	15 Mar 2002 05:24:20 -0000	1.18
+++ audio/freeamp/Makefile	7 Apr 2002 07:11:38 -0000
@@ -24,7 +24,8 @@
 WANT_ESOUND=	yes
 USE_GMAKE=	yes
 USE_AUTOCONF_VER=213
-CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include ${PTHREAD_CFLAGS}" \
+CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include ${PTHREAD_CFLAGS} \
+			-I${LOCALBASE}/include/freetype1" \
 		LDFLAGS="-L${LOCALBASE}/lib ${PTHREAD_LIBS}"
 
 .include <bsd.port.pre.mk>
@@ -69,6 +70,12 @@
 	@${ECHO_MSG}
 	@${ECHO_MSG} "WITH_ALL_PLUGINS=yes  build with all plugins"
 	@${ECHO_MSG}
+
+# Stop a flood of complaints and PRs from people who can't be bothered 
+# to keep their ports and packages up to date.
+pre-extract:
+	@test -d ${LOCALBASE}/include/freetype1/freetype && true \
+	  || { echo '===> UPGRADE print/freetype TO CURRENT VERSION!';false; }
 
 post-install:
 	@${MKDIR} ${PREFIX}/etc/sdr/plugins
Index: audio/freeamp/files/patch-io-signature-src-signaturepmo.cpp
===================================================================
RCS file: audio/freeamp/files/patch-io-signature-src-signaturepmo.cpp
diff -N audio/freeamp/files/patch-io-signature-src-signaturepmo.cpp
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/freeamp/files/patch-io-signature-src-signaturepmo.cpp	7 Apr 2002 06:45:21 -0000
@@ -0,0 +1,10 @@
+--- ./io/signature/src/signaturepmo.cpp.orig	Thu Oct 26 18:51:32 2000
++++ ./io/signature/src/signaturepmo.cpp	Sun Apr  7 01:40:32 2002
+@@ -27,7 +27,6 @@
+ #endif
+ #include <stdio.h>
+ #include <stdlib.h>
+-#include <malloc.h>
+ 
+ /* project headers */
+ #include "config.h"
Index: audio/freeamp/files/patch-io-wavout-src-waveoutpmo.cpp
===================================================================
RCS file: audio/freeamp/files/patch-io-wavout-src-waveoutpmo.cpp
diff -N audio/freeamp/files/patch-io-wavout-src-waveoutpmo.cpp
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/freeamp/files/patch-io-wavout-src-waveoutpmo.cpp	7 Apr 2002 06:45:52 -0000
@@ -0,0 +1,10 @@
+--- ./io/wavout/src/wavoutpmo.cpp.orig	Tue Oct 16 01:23:08 2001
++++ ./io/wavout/src/wavoutpmo.cpp	Sun Apr  7 01:40:28 2002
+@@ -28,7 +28,6 @@
+ #endif
+ #include <stdio.h>
+ #include <stdlib.h>
+-#include <malloc.h>
+ 
+ /* project headers */
+ #include "config.h"
==8<====8<====8<====8<====8<====8<====8<====8<====8<====8<==

-- 
AlanE
"I wanna be sedated." -- The Ramones
Comment 3 Dmitry Sivachenko freebsd_committer 2002-05-01 08:26:08 UTC
State Changed
From-To: open->closed

Issue resolved. 
Thanks!